Bug 109362 - The system stop responding at graphical logon screen after press Language button
The system stop responding at graphical logon screen after press Language button
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-06 21:19 EST by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 02:35:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-11-06 21:19:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
The system stop responding at graphical logon screen after press
Language button when using the new video driver comes from Fedora Core
1 for ATI Radeon 9600. If I choose VESA video driver, everything is
OK, but for ATI Radeon 9600 video driver, the system will stop
responding either after press the Language button or at the GNOME
startup process. In other word, if I use ATI Radeon 9600 video driver,
the video driver works, but I cannot change the default language
setting at the graphical logon screen and GNOME cannot startup.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run redhat-config-xfree86, in the Hardware tab, click the second
button "Configure..." to change the video driver from the default VESA
driver (generic) to ATI Radeon 9600 and press OK.
2. Restart X at runlevel 5, so the graphical logon screen appears.
3. Click Language button on the left-bottom corner.


Actual Results:  A white window appears, but no languages list in it,
the system lose responding...

Expected Results:  The window should list all possible languages.

Additional info:

According to Fedora Core 1 Release Notes, the driver for ATI Radeon
9600 is a new part of the system, for previous version of Red Hat
Linux 9, by default, X cannot work on the card, people has such video
card have to download and install driver from ATI website manually. So
if the driver be fully test on all environment?
Comment 1 Mark Pinto 2003-12-19 14:25:24 EST
same problem happens with nvidia nv11gl quadro2 mxr/ex
Comment 2 Mike A. Harris 2004-10-12 02:35:46 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System.  The current release of Fedora
Core 2 now officially supports the Radeon 9200/9600/9800, and
users who have experienced this problem are encouraged to
upgrade to the latest version of Fedora Core, which can be
obtained from:

    http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.